Skip to navigation

Get Backup Posture Control

Retrieves a backup posture control.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project whose backup posture control you want to retrieve. You can get your project ID from the API Credentials page in your global management console.

controlIdstringRequiredformat: "uuid"
ID of the backup posture control to retrieve.

Response

Backup posture control retrieved.
idstring
ID of the backup posture control.
namestring
Display name of the control.
severityenum
Severity assigned to control violations.
Allowed values:
resourceSelectorobject
Determines which resources the control applies to.
rulesobject
Backup requirements a matching resource must satisfy.

Errors

404
Not Found Error